Peplink Portal Docs
Places

Suggest a Place

Get place suggestions based on a search query for a Starlink account.

Required Capabilities

Starlink Viewer

Request

GET/starlink/places/suggest

Query parameters

starlinkAccountRefIdstringrequired

Reference ID of the Starlink account to get place suggestions for.

sessionTokenstringrequired

A user-generated string to track the auto-complete UI session. If you are not building auto-complete input, pass an unique UUID token value. More details.

querystringrequired

Search query string to get place suggestions for.

Response

An array of JSON objects is returned in the response body. Each item has the following fields:

placeIdstring

Google Place ID of the suggested place.

titlestring

Human-readable description of the suggested place.

typesstring array

Place type classifications from the Google Places API.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/places/suggest?starlinkAccountRefId={starlink-account-ref-id}&sessionToken={session-token}&query={query}' \  -H 'Authorization: Bearer {token}'

Response

[
  {
    "placeId": "ChIJ4wSnt_xHyIkR4A8vPHzQmS4",
    "title": "Westminster, MD, USA",
    "types": ["locality", "geocode", "political"]
  },
  {
    "placeId": "ChIJdSLYkhTxxokRsuW2E5to_H0",
    "title": "West Chester, PA, USA",
    "types": ["locality", "geocode", "political"]
  },
  {
    "placeId": "ChIJYU6Pmu6ww4kRdRs4-Crn5Zw",
    "title": "Westfield, NJ, USA",
    "types": ["geocode", "locality", "political"]
  },
  {
    "placeId": "ChIJHYSVFpVTxokRIHrYgWSjMPI",
    "title": "West Grove, PA, USA",
    "types": ["locality", "geocode", "political"]
  }
]

On this page